import type { VirtualCode } from '@volar/language-core';
import { Signal } from 'computeds';
import type * as ts from 'typescript';
import type { VueCompilerOptions, VueLanguagePluginReturn } from '../types';
export declare class VueVirtualCode implements VirtualCode {
    fileName: string;
    languageId: string;
    initSnapshot: ts.IScriptSnapshot;
    vueCompilerOptions: VueCompilerOptions;
    plugins: VueLanguagePluginReturn[];
    ts: typeof import('typescript');
    id: string;
    getSnapshot: Signal<ts.IScriptSnapshot>;
    getVueSfc: () => import("@vue/compiler-sfc").SFCParseResult | undefined;
    sfc: import("../types").Sfc;
    getMappings: () => {
        sourceOffsets: number[];
        generatedOffsets: number[];
        lengths: number[];
        data: import("@volar/language-core").CodeInformation;
    }[];
    getEmbeddedCodes: () => VirtualCode[];
    get embeddedCodes(): VirtualCode[];
    get snapshot(): ts.IScriptSnapshot;
    get mappings(): {
        sourceOffsets: number[];
        generatedOffsets: number[];
        lengths: number[];
        data: import("@volar/language-core").CodeInformation;
    }[];
    constructor(fileName: string, languageId: string, initSnapshot: ts.IScriptSnapshot, vueCompilerOptions: VueCompilerOptions, plugins: VueLanguagePluginReturn[], ts: typeof import('typescript'));
    update(newSnapshot: ts.IScriptSnapshot): void;
}
